/*	memdump.c 	module to dump memory in hex */

memdump(addr,len)
char *addr;
unsigned len;
{
	int i,j;

	for (i=0 ; i<len ;i+=16 ) {
		printf("%4x:    ",addr+i);
		for (j=0 ; j<16 ; j++ )
			printf("%4x ",*((int *)(addr+i+j)));
		printf("   ");
		for (j=0 ; j<16 ; j++ )
			printf("%c",(*(addr+i+j)>31 && *(addr+i+j)<128)?*(addr+i+j):'.');
		printf("\n");
	};
}
